Panda3D

Loading...
Searching...
No Matches
Functions
register_type.I File Reference

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University. More...

Go to the source code of this file.

## Functions
TypeHandle | register_dynamic_type (const std::string &name)
| This is essentially similar to register_type(), except that it doesn't store a reference to any TypeHandle passed in and it therefore doesn't complain if the type is registered more than once to different TypeHandle reference.
TypeHandle | register_dynamic_type (const std::string &name, TypeHandle parent1)
TypeHandle | register_dynamic_type (const std::string &name, TypeHandle parent1, TypeHandle parent2)
TypeHandle | register_dynamic_type (const std::string &name, TypeHandle parent1, TypeHandle parent2, TypeHandle parent3)
TypeHandle | register_dynamic_type (const std::string &name, TypeHandle parent1, TypeHandle parent2, TypeHandle parent3, TypeHandle parent4)
void | register_type (TypeHandle &type_handle, const std::string &name)
| This inline function is just a convenient way to call TypeRegistry::register_type(), along with zero to four record_derivation()s.
void | register_type (TypeHandle &type_handle, const std::string &name, TypeHandle parent1)
void | register_type (TypeHandle &type_handle, const std::string &name, TypeHandle parent1, TypeHandle parent2)
void | register_type (TypeHandle &type_handle, const std::string &name, TypeHandle parent1, TypeHandle parent2, TypeHandle parent3)
void | register_type (TypeHandle &type_handle, const std::string &name, TypeHandle parent1, TypeHandle parent2, TypeHandle parent3, TypeHandle parent4)

## Detailed Description

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University.

All rights reserved.

All use of this software is subject to the terms of the revised BSD license. You should have received a copy of this license along with this source code in a file named "LICENSE."

Author
  drose

Date
  2001-08-06

Definition in file register_type.I.

## Function Documentation

## ◆ register_dynamic_type() [1/5]

TypeHandle register_dynamic_type | ( | const std::string & | name | ) |
| inline

This is essentially similar to register_type(), except that it doesn't store a reference to any TypeHandle passed in and it therefore doesn't complain if the type is registered more than once to different TypeHandle reference.

Definition at line 73 of file register_type.I.

References TypeRegistry::ptr(), and TypeRegistry::register_dynamic_type().

## ◆ register_dynamic_type() [2/5]

TypeHandle register_dynamic_type | ( | const std::string & | name,
|  | TypeHandle | parent1 )
| inline

Definition at line 77 of file register_type.I.

## ◆ register_dynamic_type() [3/5]

TypeHandle register_dynamic_type | ( | const std::string & | name,
|  | TypeHandle | parent1,
|  | TypeHandle | parent2 )
| inline

Definition at line 84 of file register_type.I.

## ◆ register_dynamic_type() [4/5]

TypeHandle register_dynamic_type | ( | const std::string & | name,
|  | TypeHandle | parent1,
|  | TypeHandle | parent2,
|  | TypeHandle | parent3 )
| inline

Definition at line 93 of file register_type.I.

## ◆ register_dynamic_type() [5/5]

TypeHandle register_dynamic_type | ( | const std::string & | name,
|  | TypeHandle | parent1,
|  | TypeHandle | parent2,
|  | TypeHandle | parent3,
|  | TypeHandle | parent4 )
| inline

Definition at line 104 of file register_type.I.

## ◆ register_type() [1/5]

void register_type | ( | TypeHandle & | type_handle,
|  | const std::string & | name )
| inline

This inline function is just a convenient way to call TypeRegistry::register_type(), along with zero to four record_derivation()s.

If for some reason you have a class that has more than four base classes (you're insane!), then you will need to call Register() and record_derivation() yourself.

Definition at line 22 of file register_type.I.

References TypeRegistry::ptr(), and TypeRegistry::register_type().

Referenced by TypedObject::init_type().

## ◆ register_type() [2/5]

void register_type | ( | TypeHandle & | type_handle,
|  | const std::string & | name,
|  | TypeHandle | parent1 )
| inline

Definition at line 26 of file register_type.I.

## ◆ register_type() [3/5]

void register_type | ( | TypeHandle & | type_handle,
|  | const std::string & | name,
|  | TypeHandle | parent1,
|  | TypeHandle | parent2 )
| inline

Definition at line 34 of file register_type.I.

## ◆ register_type() [4/5]

void register_type | ( | TypeHandle & | type_handle,
|  | const std::string & | name,
|  | TypeHandle | parent1,
|  | TypeHandle | parent2,
|  | TypeHandle | parent3 )
| inline

Definition at line 43 of file register_type.I.

## ◆ register_type() [5/5]

void register_type | ( | TypeHandle & | type_handle,
|  | const std::string & | name,
|  | TypeHandle | parent1,
|  | TypeHandle | parent2,
|  | TypeHandle | parent3,
|  | TypeHandle | parent4 )
| inline

Definition at line 54 of file register_type.I.